package com.chenyang.nse.bussiness.entity.vo.strategy;

import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreDatasystem;
import java.sql.Connection;
import java.util.List;

public class LoadingParameterVO {
   private String dataSystemId;
   private Connection connection;
   private TCoreDatasystem tCoreDatasystem;
   private String projectId;
   private String schema;
   private List<TableInfoVO> tableInfo;

   public Connection getConnection() {
      return this.connection;
   }

   public void setConnection(Connection connection) {
      this.connection = connection;
   }

   public String getDataSystemId() {
      return this.dataSystemId;
   }

   public void setDataSystemId(String dataSystemId) {
      this.dataSystemId = dataSystemId;
   }

   public String getProjectId() {
      return this.projectId;
   }

   public void setProjectId(String projectId) {
      this.projectId = projectId;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public List<TableInfoVO> getTableInfo() {
      return this.tableInfo;
   }

   public void setTableInfo(List<TableInfoVO> tableInfo) {
      this.tableInfo = tableInfo;
   }

   public TCoreDatasystem gettCoreDatasystem() {
      return this.tCoreDatasystem;
   }

   public void settCoreDatasystem(TCoreDatasystem tCoreDatasystem) {
      this.tCoreDatasystem = tCoreDatasystem;
   }
}
